%define version	1.3.8
%define betaver 0
%define rel 1

%if %betaver
%define release %mkrel -c %betaver %rel
%define tarballver %version.%betaver
%else
%define release %mkrel %rel
%define tarballver %version
%endif


%define libname %mklibname %{name} 1

Summary:	An input method server for traditional Chinese
Name:		gcin
Version:	%{version}
Release:	%{release}
License:	LGPL
URL: 		http://www.csie.nctu.edu.tw/~cp76/gcin/
Group:		System/Internationalization
Source0:	http://www.csie.nctu.edu.tw/~cp76/gcin/download/%{name}-%{tarballver}.tar.bz2
Patch0:		gcin-1.3.5.pre7-desktop-file.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires(post):	gtk+2.0
Requires(postun): gtk+2.0
BuildRequires:	X11-devel
BuildRequires:	gtk+2-devel
BuildRequires:	qt3-devel >= 3.3.6-16mdk
Requires:	%{libname} = %{version}-%{release}
Suggests:	%{name}-qt3 = %{version}-%{release}
Requires:	locales-zh
# ease upgrade
Conflicts:	%{libname} < 1.3.5-0.pre7

%description
gcin is a Chinese input method server for traditional Chinese. 
It features a better GTK user interface.


%package -n	%{libname}
Summary:	Gcin library
Group:		System/Internationalization
Conflicts:	%{name} < 1.3.5-0.pre7
Obsoletes:	%mklibname %{name} 0

%description -n %{libname}
gcin is a Chinese input method server for traditional Chinese. 
It features a better GTK user interface.

%package	qt3
Summary:	Qt3 immodule for gcin
Group:		System/Internationalization
Conflicts:	%name < 1.3.5-0.pre7
Requires:	%libname = %{version}-%{release}
Requires:	%name = %{version}-%{release}

%description	qt3
This is the qt3 immodule support for gcin

%prep
%setup -q -n %{name}-%{tarballver}
%patch0 -p0

%build
%configure2_5x
# (tv) this helps building on x86_64:
#make -C im-client
# (tv) disable parallel build (broken):
make

%install
rm -rf %{buildroot}
# fix installing in proper path on x86_64:
%makeinstall_std libdir=%buildroot%_libdir
rm -fr %buildroot%_docdir/
rm -fr %buildroot%_libdir/menu/

# dispatch qt plugins to the right directory
mkdir -p %{buildroot}%{qt3plugins}/inputmethods/
mv -f %{buildroot}%{_libdir}/qt3/plugins/inputmethods/*.so %{buildroot}%{qt3plugins}/inputmethods/
rm -rf %{buildroot}%{_libdir}/qt3/plugins/inputmethods/

# remove unneeded files
rm -rf %{buildroot}/%{_includedir}

%{find_lang} %{name}

%clean
rm -rf %{buildroot}

%post
# install gtk IM module
gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules.%_lib
%update_menus

%postun
gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules.%_lib
%clean_menus

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING Changelog README
%{_bindir}/*
%{_datadir}/applications/gcin-setup.desktop
%{_datadir}/control-center-2.0/capplets/*
%{_datadir}/gcin
%{_iconsdir}/*
%{_mandir}/man?/*
%{_libdir}/gtk-2.0/immodules/*.so

%files qt3
%defattr(-,root,root)
%{qt3plugins}/inputmethods/*.so

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/gcin/*


%changelog
* Sun Jan 20 2008 Funda Wang <fundawang@mandriva.org> 1.3.8-1mdv2008.1
+ Revision: 155287
- New version 1.3.8

* Sat Dec 29 2007 Funda Wang <fundawang@mandriva.org> 1.3.8-0.pre9.1mdv2008.1
+ Revision: 139167
- New version 1.3.8 pre9

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Funda Wang <fundawang@mandriva.org> 1.3.8-0.pre4.1mdv2008.1
+ Revision: 120498
- New version pre4

* Sun Dec 09 2007 Funda Wang <fundawang@mandriva.org> 1.3.8-0.pre2.1mdv2008.1
+ Revision: 116689
- New version 1.3.8 pre2

* Sat Dec 08 2007 Funda Wang <fundawang@mandriva.org> 1.3.8-0.pre1.1mdv2008.1
+ Revision: 116397
- New version 1.3.8 pre1

* Tue Dec 04 2007 Funda Wang <fundawang@mandriva.org> 1.3.7.1-1mdv2008.1
+ Revision: 115316
- update to new version 1.3.7.1

* Sat Oct 13 2007 Funda Wang <fundawang@mandriva.org> 1.3.5-1mdv2008.1
+ Revision: 97827
- New version 1.3.5

* Sat Oct 13 2007 Funda Wang <fundawang@mandriva.org> 1.3.5-0.pre7.1mdv2008.1
+ Revision: 97815
- add missing patch
- New version 1.3.5 pre7

* Sat Aug 04 2007 Funda Wang <fundawang@mandriva.org> 1.3.5-0.pre5.1mdv2008.0
+ Revision: 58911
- New version 1.3.5 pre5

* Tue Jul 10 2007 Funda Wang <fundawang@mandriva.org> 1.3.5-0.pre4.2mdv2008.0
+ Revision: 51004
- New version

* Wed May 23 2007 Funda Wang <fundawang@mandriva.org> 1.3.5-0.pre2.2mdv2008.0
+ Revision: 29996
- Bump release
- kill old menu
  move lib files
- New upstream version

* Sun May 13 2007 Funda Wang <fundawang@mandriva.org> 1.3.5-0.pre1.1mdv2008.0
+ Revision: 26503
- New upstream version

* Wed Apr 18 2007 Funda Wang <fundawang@mandriva.org> 1.3.4-1mdv2008.0
+ Revision: 14318
- New release 1.3.4.


* Thu Apr 05 2007 Funda Wang <fundawang@mandriva.org> 1.3.4-0.pre5.1mdv2007.1
+ Revision: 150694
- new version.

* Wed Mar 14 2007 Funda Wang <fundawang@mandriva.org> 1.3.4-0.pre4.1mdv2007.1
+ Revision: 143333
- X11-devel instead
- buildrequires x11-devel.
- new releae 1.3.4 pre4
- qt-immodule directory fix
- bunizp2 the patches.
- new release

  + Thierry Vignaud <tvignaud@mandriva.com>
    - Import gcin

* Sat Oct 14 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.2.7-1mdv2007.0
- new release

* Fri Aug 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.2.2-1mdv2007.0
- switch to XDG
- new release (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

* Tue May 30 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.2.0-1mdv2007.0
- new release
- drop patches 0 & 1 (no more needed)
- patch 3: fix build on x86_64 (use -fPIC)

* Tue Feb 07 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.1.6-1mdk
- new release
- disable broken parallel build

* Mon Nov 07 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.1.1-1mdk
- new release

* Tue Oct 11 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.9-1mdk
- new release
- rediff patches 1 & 2

* Tue Sep 13 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.3-3mdk
- rebuild b/c of qt-immodule (#18486)

* Thu Sep 01 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0.3-2mdk
- 64-bit fixes
- split requires(post,postun)
- fix location of qt plugins (lib64 fixes)

* Sat Aug 20 2005 You-Cheng Hsieh <yochenhsieh@xuite.net> 1.0.3-1mdk
- new release

* Tue Jul 19 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.1-1mdk
- new release

* Sun Jul 10 2005 Abel Cheung <deaddog@mandriva.org> 1.0.0-1mdk
- New release

* Sat Jul 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.5-3mdk
- patch 0: fix build on x86_64
- fix installing on x86_64

* Fri Jul 01 2005 Abel Cheung <deaddog@mandriva.org> 0.9.5-2mdk
- Drop patch, menu should be in english and translated afterwards,
  so regenerate menu inside package instead

* Sat May 14 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.5-1mdk
- new release
- kill patch 1 (merged upstream)

* Tue May 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-1mdk
- new release (#15828)
- patch 1: fix compiling with gcc-4.0

* Tue Apr 19 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.1-1mdk
- new release

* Sun Mar 06 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.6-1mdk
- new release
- disable parallel build since it's broken in 0.8.6
- patch 0: fix upcase in menu entries

* Fri Mar 04 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.8.4-1mdk
- first spec for Mandrakelinux
- based on the spec by Steven Shiau/Chung-Yen Chang. Thanks!

